<template>
  <div class="appWrapper desktop">
    <div class="title">
      <h3>行動裝置APP</h3>
      <p>mobile device</p>
    </div>
    <div class="container row align-center">
      <div class="left" data-aos="zoom-in-down">
        <div class="appWrapper_img"></div>
      </div>
      <div class="right" data-aos="fade-right">
        <h2>APP</h2>
        <h4>隨時隨地．立即下載</h4>
        <div class="description">
          <p>支持iOS&Android行動裝置，隨時隨地手機投注，</p>
          <p>提供全球熱門遊戲暢玩，大量體育賽事，電子競技，真人視訊，彩票投注及電子遊戲等，掃碼下載．即刻擁有。</p>
        </div>
        <div class="row justify-between appBlock">
          <div class="appQrcode">
            <a download :href="download.ios.file">
              <img class="APPLogo" :src="download.ios.url" alt="ios" />
            </a>
            <p>支援IOS行動裝置</p>
          </div>
          <div class="appQrcode">
            <a download :href="download.apk.file">
              <img class="APPLogo" :src="download.apk.url" alt="apk" />
            </a>
            <p>支援Android行動裝置</p>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
  module.exports = {
    data() {
      return {
        download: {
          ios: {
            file: `/tpl/${theme}/download/app.mobileconfig`,
            url: `https://quickchart.io/chart?cht=qr&chs=150x150&chl=${window.location.hostname}/tpl/${theme}/download/app.mobileconfig`,
          },
          apk: {
            file: `/tpl/${theme}/download/app.apk`,
            url: `https://quickchart.io/chart?cht=qr&chs=150x150&chl=${window.location.hostname}/tpl/${theme}/download/app.apk`,
          }
        }
      };
    },
  };
</script>
